var fontColor, gadgetBg, textValue;


function readSettings() {
    fontColor = System.Gadget.Settings.readString("fontColor");
    gadgetBg = System.Gadget.Settings.readString("gadgetBg");
    textValue = System.Gadget.Settings.readString("textValue");
}

System.Gadget.onSettingsClosing = settingsClosing;

//Save the settings
function settingsClosing(event) {
	if (event.closeAction == event.Action.commit) {
		//User has clicked OK so commit the settings
		System.Gadget.Settings.write("fontColor", color.value);
		System.Gadget.Settings.write("gadgetBg", gadgetRep.style.backgroundImage);
		System.Gadget.Settings.write("textValue", textInput.value);
	}

	//allow the settings page to close
	event.cancel = false;
}


// --------------------------------------------------------------------
// Initialize the gadget.
// --------------------------------------------------------------------


function initGadget()
{

		// Specify the Settings root.
System.Gadget.settingsUI = "settings.html";
	
		//read the settings
readSettings();
	
		//check if they exist
if (String(fontColor) == "") {
    //no, initialize them
    fontColor = "#FFFFFF";
	gadgetBg = "url(images/launch1.png)";
	textValue = "Calculator...";
    System.Gadget.Settings.write("fontColor", fontColor);
    System.Gadget.Settings.write("gadgetBg", gadgetBg);
    System.Gadget.Settings.write("textValue", textValue);
}

}

